define({"587":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_hasField.htm",a:"The hasField method checks to see if a field exists in the current document. Syntax hasField ( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname is case-sensitive. The field name is ...",t:"hasField"},"588":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_insertXml.htm",a:"insertXml The insertXml method inserts XML metadata into the document. Syntax insertXml ( node ) Arguments Argument Description node (LuaXmlNode) The node to insert. Returns (LuaField). A LuaField object of the inserted data.",t:"insertXml"},"589":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_insertXmlWithoutRoot.htm",a:"The insertXmlWithoutRoot method inserts XML metadata into the document. This method does not insert the top level node. All of the child nodes are inserted into the document. insertXmlWithoutRoot(node) is therefore equivalent to calling insertXml() for each child node. Syntax insertXmlWithoutRoot ( ...",t:"insertXmlWithoutRoot"},"590":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_LuaDocument_new.htm",a:"The constructor for a LuaDocument object (creates a new LuaDocument object that only contains a reference). Syntax LuaDocument:new( reference ) Arguments Argument Description reference (string) The reference to assign to the new document. Returns (LuaDocument). The new LuaDocument object. Example ...",t:"LuaDocument:new"},"591":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_removeSection.htm",a:"The removeSection method removes a section from a document. Syntax removeSection( sectionNumber ) Arguments Argument Description sectionNumber (number) A zero-based index that specifies the section to remove. For example, to remove the second section, set this argument to  1. Returns Nothing. ...",t:"removeSection"},"592":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_renameField.htm",a:"The renameField method changes the name of a field. Syntax renameField( currentname, newname [, case]) Arguments Argument Description currentname (string) The name of the field to rename. newname (string) The new name of the field. case (boolean) A boolean that specifies whether the currentname ...",t:"renameField"},"593":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_setContent.htm",a:"The setContent method sets the content (the value of the DRECONTENT field) for a document or document section. Syntax setContent( content [, number] ) Arguments Argument Description content (string) The content to set for the document or document section. number (number) The document section to ...",t:"setContent"},"594":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_setFieldValue.htm",a:"The setFieldValue method sets the value of a field in a document. If the field does not exist, it is created. If the field already exists, the existing value is overwritten. Syntax setFieldValue( fieldname, newvalue ) Arguments Argument Description fieldname (string) The name of the field to set. ...",t:"setFieldValue"},"595":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_setReference.htm",a:"setReference The setReference method sets the reference (the value of the DREREFERENCE document field) to the string passed in. Syntax setReference( reference ) Arguments Argument Description reference (string) The reference to set.",t:"setReference"},"596":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_to_IDX.htm",a:"to_idx The to_idx method returns a string containing the document in IDX format. Syntax to_idx() Returns (String). Returns the document as a string.",t:"to_idx"},"597":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_to_JSON.htm",a:"to_json The to_json method returns a string containing the document in JSON format. Syntax to_json() Returns (String). Returns the document as a string.",t:"to_json"},"598":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_to_XML.htm",a:"to_xml The to_xml method returns a string containing the document in XML format. Syntax to_xml() Returns (String). Returns the document as a string.",t:"to_xml"},"599":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_writeStubIdx.htm",a:"The writeStubIdx method writes out a stub IDX document (a metadata file used by IDOL applications). The file is created in the current folder, but you can specify a full path and file name if you want to create the file in another folder. Syntax writeStubIdx( filename ) Arguments Argument ...",t:"writeStubIdx"},"600":{i:0.000370929830768192,u:"../Content/Lua/LuaDocument/_LUA_writeStubXml.htm",a:"The writeStubXml method writes out an XML file containing the metadata for the document. The file is created in the current folder but you can specify a full path and file name if you want to create the file in another folder. Syntax writeStubXml( filename ) Arguments Argument Description filename ...",t:"writeStubXml"},"601":{i:0.000361615487138203,u:"../Content/Lua/LuaField/_LUA_LuaField_Methods.htm",a:"This section describes the methods provided by LuaField objects. A LuaField represents a single field in a document. You can retrieve LuaField objects for a document using the LuaDocument getField and getFields methods. In its simplest form a field has just a name and a value, but it can also ...",t:"LuaField Methods"},"602":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_addField.htm",a:"addField The addField method adds a sub field with the specified name and value. Syntax addField( fieldname, fieldvalue ) Arguments Argument Description fieldname (string) The name of the field. fieldvalue (string) The value of the field.",t:"addField"},"603":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_copyField.htm",a:"The copyField method copies a sub field to another sub field. If the target sub field exists it is overwritten. Syntax copyField ( from, to [, case]) Arguments Argument Description from (string) The name of the field to copy. to (string) The name of the field to copy to. case (boolean) A boolean ...",t:"copyField"},"604":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_copyFieldNoOverwrite.htm",a:"The copyFieldNoOverwrite method copies the sub field to another sub field but does not overwrite the destination. After this operation the destination field contains all the values of the source field as well as any values it already had. Syntax copyFieldNoOverwrite( from, to [, case]) Arguments ...",t:"copyFieldNoOverwrite"},"605":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_countField.htm",a:"The countField method returns the number of sub fields that exist with the specified name. Syntax countField ( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case sensitive. The ...",t:"countField"},"606":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_deleteAttribute.htm",a:"deleteAttribute The deleteAttribute method deletes the specified field attribute. Syntax deleteAttribute( name ) Arguments Argument Description name (string) The name of the attribute to delete.",t:"deleteAttribute"},"607":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_deleteField.htm",a:"The deleteField method deletes the sub field with the specified name. Syntax deleteField( name [, case] )  deleteField( name , value [, case] )  Arguments Argument Description name (string) The name of the sub field to delete. value (string) The value of the sub field. If this is specified a field ...",t:"deleteField"},"608":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_getAttributeValue.htm",a:"getAttributeValue The getAttributeValue method gets the value of the specified attribute. Syntax getAttributeValue( name ) Arguments Argument Description name (string) The name of the attribute. Returns (String). The attribute value.",t:"getAttributeValue"},"609":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_getField.htm",a:"The getField method returns the specified sub field. Syntax getField ( name [, case]) Arguments Argument Description name (string) The name of the field to return. case (boolean) A boolean that specifies whether the name argument is case sensitive. The argument is case sensitive by default (true). ...",t:"getField"},"610":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_getFieldNames.htm",a:"The getFieldNames method returns the names of the sub fields in the LuaField object. Syntax getFieldNames() Returns (Strings). The names of the sub fields. The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: fieldnames = { ...",t:"getFieldNames"},"611":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_getFields.htm",a:"The getFields method returns all of the sub fields specified by the name argument. Syntax getFields( name [, case] ) Arguments Argument Description name (string) The name of the fields. case (boolean) A boolean that specifies whether the name argument is case sensitive. The argument is case ...",t:"getFields"},"612":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_getFieldValues.htm",a:"The getFieldValues method returns the values of all of the sub fields with the specified name. Syntax getFieldValues( fieldname [, case] ) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case ...",t:"getFieldValues"},"613":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_getValueByPath.htm",a:"The getValueByPath method gets the value of a sub-field, specified by path.   If you pass this method the path of a sub-field that has multiple values, only the first value is returned. To return all of the values from a multi-value sub-field, see  getValuesByPath . Syntax getValueByPath( path ) ...",t:"getValueByPath"},"614":{i:0.000694836138841572,u:"../Content/Lua/LuaField/_LUA_getValuesByPath.htm",a:"The getValuesByPath method gets the values of a sub-field, specified by path.   Syntax getValuesByPath( path ) Arguments Argument Description path (string) The path of the sub-field. Returns (Strings). Strings that contain the values. To map the return values to a table, surround the function call ...",t:"getValuesByPath"},"615":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_hasAttribute.htm",a:"hasAttribute The hasAttribute method returns a Boolean indicating whether the field has the specified attribute. Syntax hasAttribute( name ) Arguments Argument Description name (string) The name of the attribute. Returns (Boolean). A Boolean specifying if the field has the specified attribute.",t:"hasAttribute"},"616":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_hasField.htm",a:"The hasField method returns a Boolean specifying if the sub field exists. Syntax hasField( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case sensitive. The argument is case ...",t:"hasField"},"617":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_insertXml.htm",a:"The insertXml method inserts XML metadata into the document. When called on a LuaField, the insertXml method inserts the fields as children of the LuaField. Syntax insertXml ( node ) Arguments Argument Description node (LuaXmlNode) The node to insert. Returns (LuaField). A LuaField object of the ...",t:"insertXml"},"618":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_insertXmlWithoutRoot.htm",a:"The insertXmlWithoutRoot method inserts XML metadata into the document. This method does not insert the top level node. All of the child nodes are inserted into the document. insertXmlWithoutRoot(node) is therefore equivalent to calling insertXml() for each child node. Syntax insertXmlWithoutRoot ( ...",t:"insertXmlWithoutRoot"},"619":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_name.htm",a:"name The name method returns the name of the field object. Syntax name() Returns (String). The name of the field object.",t:"name"},"620":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_renameField.htm",a:"The renameField method renames a sub field. Syntax renameField( oldname, newname [, case] ) Arguments Argument Description oldname (string) The previous name of the field. newname (string) The new name of the field. case (boolean) A boolean that specifies whether the oldname argument is case ...",t:"renameField"},"621":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_setAttributeValue.htm",a:"setAttributeValue The setAttributeValue method sets the value for the specified attribute of the field. Syntax setAttributeValue( attribute, value ) Arguments Argument Description attribute (string) The name of the attribute to set. value (string) The value to set.",t:"setAttributeValue"},"622":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_setValue.htm",a:"setValue The setValue method sets the value of the field. Syntax setValue( value ) Arguments Argument Description value (string) The value to set.",t:"setValue"},"623":{i:0.000375587002583186,u:"../Content/Lua/LuaField/_LUA_value.htm",a:"value The value method returns the value of the field object. Syntax value() Returns (String). The value of the field object.",t:"value"},"624":{i:0.000632882599549699,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",a:"A LuaLog object provides the capability to use a log stream defined in the connector\u0027s configuration file. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: ...",t:"LuaLog Methods"},"625":{i:0.000630590779756635,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Argument Description level The log level for the message. The message only appears in the log if the log level specified here is the same as, or higher than, the log level set for the log stream. ...",t:"write_line"},"626":{i:0.000361615487138203,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ...",t:"LuaXmlDocument Methods"},"627":{i:0.000423090155096129,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object.",t:"root"},"628":{i:0.000423090155096129,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Argument Description xpathQuery (string) The xpath query to run. Returns (LuaXmlNodeSet). A LuaXmlNodeSet object.",t:"XPathExecute"},"629":{i:0.000423090155096129,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",a:"The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Argument Description prefix (string) The namespace prefix. location (string) The namespace location. Returns (Boolean). True if successful, False in case of error.",t:"XPathRegisterNs"},"630":{i:0.000423090155096129,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Argument Description query (string) The XPath query to use. Returns (String). A string of the value.",t:"XPathValue"},"631":{i:0.000423090155096129,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Argument Description query (string) The XPath query to use. Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with ...",t:"XPathValues"},"632":{i:0.000361615487138203,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",a:"A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size() Method Description at Returns the LuaXmlNode at position pos in the set. size Returns size of node set.",t:"LuaXmlNodeSet Methods"},"633":{i:0.000515302157033017,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Argument Description position (number) The index of the item in the array to get.\n                     Returns (LuaXmlNode).",t:"at"},"634":{i:0.000515302157033017,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set.",t:"size"},"635":{i:0.000361615487138203,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",a:"A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name() Method Description attr Returns the first LuaXmlAttribute attribute object for this element. content Returns the ...",t:"LuaXmlNode Methods"},"636":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",a:"The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Argument Description name (string) The name of the LuaXmlAttribute ...",t:"attr"},"637":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content.",t:"content"},"638":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode).",t:"firstChild"},"639":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode).",t:"lastChild"},"640":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name.",t:"name"},"641":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode).",t:"next"},"642":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path.",t:"nodePath"},"643":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode).",t:"parent"},"644":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode).",t:"prev"},"645":{i:0.000392352821117166,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ...",t:"type"},"646":{i:0.000361615487138203,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",a:"A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name() Method Description name Returns the name of this attribute. next Returns a LuaXmlAttribute object ...",t:"LuaXmlAttribute Methods"},"647":{i:0.00043845882208561,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute.",t:"name"},"648":{i:0.00043845882208561,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute).",t:"next"},"649":{i:0.00043845882208561,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute).",t:"prev"},"650":{i:0.00043845882208561,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute.",t:"value"},"651":{i:0.000361615487138203,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ...",t:"LuaRegexMatch Methods"},"652":{i:0.000423090155096129,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",a:"The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the length of, starting at 1 for the first sub match. With ...",t:"length"},"653":{i:0.000423090155096129,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one.",t:"next"},"654":{i:0.000423090155096129,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Argument Description submatch (number) ...",t:"position"},"655":{i:0.000423090155096129,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match.",t:"size"},"656":{i:0.000423090155096129,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",a:"The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the value of, starting at 1 ...",t:"str"},"657":{i:0.000361615487138203,u:"../Content/Lua/CFS/_LuaFunctions.htm",a:"Lua Functions for CFS This section describes functions that you can use in Lua scripts that you call from Connector Framework Server.",t:"Lua Functions for CFS"},"658":{i:0.000361615487138203,u:"../Content/Lua/CFS/add_to_replace.htm",a:"The add_to_replace function converts the index action that is run on a document from an add action to a replace action. Syntax add_to_replace( doc ) Arguments Argument Description doc (LuaDocument) The document that you want to index using a replace index action, and not an add index action. Returns ...",t:"add_to_replace"},"659":{i:0.000361615487138203,u:"../Content/Lua/CFS/analyze_image_in_document.htm",a:"This function is deprecated in Connector Framework Server version 11.1.0 and later. It is still available for existing implementations, but it might be incompatible with new functionality. The function might be removed in future. HPE recommends using the function  analyze_media_in_document  instead. ...",t:"analyze_image_in_document"},"660":{i:0.000361615487138203,u:"../Content/Lua/CFS/analyze_image_in_file.htm",a:"This function is deprecated in Connector Framework Server version 11.1.0 and later. It is still available for existing implementations, but it might be incompatible with new functionality. The function might be removed in future. HPE recommends using the function  analyze_media_in_file  instead. The ...",t:"analyze_image_in_file"},"661":{i:0.00043845882208561,u:"../Content/Lua/CFS/analyze_media_in_document.htm",a:"The function analyze_media_in_document performs analysis on a media file associated with a document. CFS adds the results of analysis to the document’s metadata. If analysis is not successful, the function results in a Lua error. You do not need to add the field AUTN_NEEDS_MEDIA_SERVER_ANALYSIS to ...",t:"analyze_media_in_document"},"662":{i:0.00043845882208561,u:"../Content/Lua/CFS/analyze_media_in_file.htm",a:"The function analyze_media_in_file performs media analysis on a file. If analysis is not successful, the function results in a Lua error. Syntax  analyze_media_in_file(filename, params)  Arguments Argument Description filename (string) The file to analyze. params (table) A table of named parameters ...",t:"analyze_media_in_file"},"663":{i:0.000361615487138203,u:"../Content/Lua/CFS/analyze_video_in_document.htm",a:"This function is deprecated in Connector Framework Server version 11.1.0 and later. It is still available for existing implementations, but it might be incompatible with new functionality. The function might be removed in future. HPE recommends using the function  analyze_media_in_document  instead. ...",t:"analyze_video_in_document"},"664":{i:0.000361615487138203,u:"../Content/Lua/CFS/analyze_video_in_file.htm",a:"This function is deprecated in Connector Framework Server version 11.1.0 and later. It is still available for existing implementations, but it might be incompatible with new functionality. The function might be removed in future. HPE recommends using the function  analyze_media_in_file  instead. The ...",t:"analyze_video_in_file"},"665":{i:0.000361615487138203,u:"../Content/Lua/CFS/eduction.htm",a:"The eduction function applies eduction to the specified document.  Syntax eduction( doc, sectionName ) Arguments Argument Description doc (LuaDocument) The document on which to apply eduction. sectionName (string) The name of a section in the CFS configuration file that contains configuration ...",t:"eduction"},"666":{i:0.000361615487138203,u:"../Content/Lua/CFS/email_address_normalisation.htm",a:"The email_address_normalisation function searches a document\u0027s metadata fields for e-mail addresses and the names of their owners, and writes the information back to the document in a standard format.  Syntax email_address_normalisation( document, sectionName ) Arguments Argument Description ...",t:"email_address_normalisation"},"667":{i:0.000361615487138203,u:"../Content/Lua/CFS/extract_html_content.htm",a:"The extract_html_content function extracts the meaningful textual content from an HTML file, and writes the text into the DRECONTENT field of the document. Syntax extract_html_content( doc [, Filename]) Arguments Argument Description doc (LuaDocument) The document into which the extracted content is ...",t:"extract_html_content"},"668":{i:0.000361615487138203,u:"../Content/Lua/CFS/extract_metadata.htm",a:"The extract_metadata function extracts metadata from the file associated with a document.  Run a Lua script using a pre-import task and add the fields AUTN_NO_FILTER and AUTN_NO_EXTRACT to any document on which you use this function. This prevents metadata being extracted twice. Syntax ...",t:"extract_metadata"},"669":{i:0.000361615487138203,u:"../Content/Lua/CFS/extract_text.htm",a:"The extract_text function uses KeyView to extract text from a data string. Syntax extract_text( data, isHtml) Arguments Argument Description data (string) A string containing the data to extract text from. isHtml (Boolean) Specifies whether the data is a snippet of HTML (default false). If the data ...",t:"extract_text"},"670":{i:0.000361615487138203,u:"../Content/Lua/CFS/extract_text_from_file.htm",a:"The extract_text_from_file function uses KeyView to extract text from a file. Syntax extract_text_from_file( filename ) Arguments Argument Description filename (string) The path and file name of the file that you want to extract text from. Returns String. Returns the text extracted from the file. ...",t:"extract_text_from_file"},});